Subject: Non-member submission from [Dave Thaler <[email-masked]>]

From: "Ted Brunner 503.627.1317" <[email-masked]>
Date: Fri, 14 May 1999 22:11:41 -0700

Ted Brunner		VideoTele.com
			Tektronix
			MS 50-475
[email-masked]	14150 SW Karl Braun
503.627.1317		Beaverton OR 97005	

------- Forwarded Message

From: Dave Thaler <[email-masked]>
To: "'Brian E Carpenter'" <[email-masked]>,
        Thomas Narten
	 <[email-masked]>,
        "[email-masked]'" <[email-masked]>
Cc: Kathleen Nichols <[email-masked]>, Scott Bradner
	 <[email-masked]>,
        Erik Nordmark <[email-masked]>,
        Theodore Brunner <[email-masked]>, Fred Baker <[email-masked]>,
        David Black <[email-masked]>, "[email-masked]'" <[email-masked]>
Subject: RE: tunnel mib & diffserv
Date: Fri, 14 May 1999 12:39:28 -0700
X-Mailer: Internet Mail Service (5.5.2524.0)

> Thomas Narten wrote:
> > 
> > draft-ietf-ifmib-tunnel-mib-03.txt says:
> > 
> > > tunnelIfPreference OBJECT-TYPE
> > >     SYNTAX     Integer32 (-1..15)
> > >     MAX-ACCESS read-write
> > >     STATUS     current
> > >     DESCRIPTION
> > >             "The Preference to use in the outer IP header.  A value of
> > >             -1 indicates that the value is copied from the payload's
> > >             header."
> > >     ::= { tunnelIfEntry 6 }
> > 
> > I'm assuming this refers to the DS field. I can't imagine this is
> > close to sufficient to handling this case. But, is this still future
> > work from the perspective of diffserv and tunneling? What should go
> > into the document at this point? (The document is just about ready for
> > the IESG to ballot.)
> 
> "Preference" ????
> 
> What does this mean?
> 
This is a typo which was supposed to have been Precedence
from RFC 791.  Thanks for pointing this out.  Is there some 
name you would prefer other than Precedence?  (TypeOfService?)

> Diffserv talks about the DSCP (diffserv code point) which is a 6
> bit value, i.e. 0..31. We simply haven't done the work yet on diffserv
> and tunnels. The issue arises for IPSEC and any other kind of tunnel.
> It also arises for IPv4/IPv6 translators where I have a last call
> comment on the SIIT draft. Whether you should copy the DSCP
> will depend on diffserv policy and probably on the diffserv MIB.
> 
> The situation is complicated by the fact that the other two
> bits in the TOS byte are kind-of reserved for ECN. There's been
> some work done on ECN and IPSEC tunnels.
> 
> My preference is to leave this TBD rather than shove in a quick
> fix.
> 
> I've added cc's to David Black and Fred who may have more to say.
> 
>    Brian
> 
I'm open to suggestions.  The object currently allows representation
of two behaviors when encapsulating:

1) copy the precedence bits from the inner header
2) always set the precedence bits to a given value

One solution might be to change the range to (-1..31) to cover
6 bits as Brian noted.  We could also reserve another value
(-2 or 32) for "other", which would leave room for setting the
bits differently on different packets according to diffserv policy.

Other comments?

- -Dave

------- End of Forwarded Message